Bug 1413210 - SSH RSA key validation fails with error for OpenStack Infra Provider
Summary: SSH RSA key validation fails with error for OpenStack Infra Provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Petr Blaho
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On: 1406443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 22:35 UTC by Satoe Imaishi
Modified: 2017-08-30 03:50 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1406443
Environment:
Last Closed: 2017-02-27 19:27:48 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-16 19:30:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/14006476d7a126e98b0e3e9ea80ede0d44310010

commit 14006476d7a126e98b0e3e9ea80ede0d44310010
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Fri Jan 13 14:58:24 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 14:24:55 2017 -0500

    Merge pull request #13445 from petrblaho/openstack-infra-ssh-keypair-validation-fixes
    
    Openstack infra ssh keypair validation fixes
    (cherry picked from commit df1fcf14f2439523e478cbfbaf79159eb0d78333)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413207
    https://bugzilla.redhat.com/show_bug.cgi?id=1413210

 .../manageiq/providers/openstack/infra_manager.rb  |  7 +++--
 spec/factories/host.rb                             |  1 +
 .../providers/openstack/infra_manager_spec.rb      | 30 ++++++++++++++++++++++
 3 files changed, 36 insertions(+), 2 deletions(-)

Comment 3 Ronnie Rasouli 2017-01-31 13:43:45 UTC
already tested on 5.7.1.0

Comment 5 errata-xmlrpc 2017-02-27 19:27:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.